Page MenuHomePhabricator

Update math/texvc module on WMF projects
Closed, ResolvedPublic

Description

The following commits are not live yet after rollout of 1.17wmf1:

r68382 - Bug 21477 - texvc doesn't accept \&
r68385 - Bug 11641 - Add support for AMSTeX's \dotsc, \dotsm, \dotsi, \dotso
r68386 - Bug 21475 - \mathtt (typewriter) and \mathsf (sans serif) math font commands
r68846 (no bug)


Version: unspecified
Severity: normal

Details

Reference
bz27489

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:23 PM
bzimport set Reference to bz27489.
Raymond created this task.Feb 17 2011, 8:22 AM

adding blocker, marking those revisions for deployment, and CCing Roan

Adding shell keyword. Those changes are checked into the 1.17wmf1 branch, but I think it's just that someone needs to compile a new version of the module and deploy it.

hashar added a comment.Mar 6 2011, 1:28 PM

texvc is rebuild whenever we run 'scap', the last rebuild according to a random apache file timestamp is:

2011-03-01 02:44 /usr/local/bin/texvc

Which is after this bug opening, so I am assuming this issue FIXED :)

Notes:

  1. I verified our production code and it does include the above bug fixes as well as other ones.
  2. A live test for \mathtt is available at http://test.wikipedia.org/wiki/Bug_27489
hashar added a comment.Mar 6 2011, 1:28 PM

Please note we still have to invalidate the math cache for a different issue bug 24445